## ros-kinetic-rospy 1.12.17

=== debian/changelog ===
ros-kinetic-rospy (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix log*_throttle with sim time (#2044 <https://github.com/ros/ros_comm/issues/2044>)
  * Update local parameter cache on set_param (#2021 <https://github.com/ros/ros_comm/issues/2021>)
  * Contributors: Jacob Perron, Markus Grimm, Shane Loretz, salihmarangoz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.15-1xenial) xenial; urgency=high

  * remove not existing NodeProxy from rospy __all__ (#2007 <https://github.com/ros/ros_comm/issues/2007>)
  * fix dictionary changed size during iteration (#1894 <https://github.com/ros/ros_comm/issues/1894>)
  * do not raise socket exception during shutdown (#1720 <https://github.com/ros/ros_comm/issues/1720>)
  * add missing comma in the list of strings (#1760 <https://github.com/ros/ros_comm/issues/1760>)
  * fix error handling for Topic constructor (#1701 <https://github.com/ros/ros_comm/issues/1701>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.14-1xenial) xenial; urgency=high

  * fix some errors in some probably not frequented code paths (#1415 <https://github.com/ros/ros_comm/issues/1415>)
  * fix thread problem with get_topics() (#1416 <https://github.com/ros/ros_comm/issues/1416>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rospy (1.12.13-1xenial) xenial; urgency=high

  * raise the correct exception from AnyMsg.serialize (#1311 <https://github.com/ros/ros_comm/issues/1311>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rospy (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.8-1xenial) xenial; urgency=high

  * change rospy.Rate hz type from int to float (#1177 <https://github.com/ros/ros_comm/issues/1177>)
  * improve rospy.logXXX_throttle performance (#1091 <https://github.com/ros/ros_comm/pull/1091>)
  * add option to reset timer when time moved backwards (#1083 <https://github.com/ros/ros_comm/issues/1083>)
  * abort topic lookup on connection refused (#1044 <https://github.com/ros/ros_comm/pull/1044>)
  * sleep in rospy wait_for_service even if exceptions raised (#1025 <https://github.com/ros/ros_comm/pull/1025>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.7-1xenial) xenial; urgency=high

  * make get_published_topics threadsafe (#958 <https://github.com/ros/ros_comm/issues/958>)
  * use poll in write_header() if available to support higher numbered fileno (#929 <https://github.com/ros/ros_comm/pull/929>)
  * use epoll instead of poll if available to gracefully close hung connections (#831 <https://github.com/ros/ros_comm/issues/831>)
  * fix Python 3 compatibility issues (#565 <https://github.com/ros/ros_comm/issues/565>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.6-1xenial) xenial; urgency=high

  * improve reconnection logic on timeout and other common errors (#851 <https://github.com/ros/ros_comm/pull/851>)
  * remove duplicated function (#783 <https://github.com/ros/ros_comm/pull/783>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.3-1xenial) xenial; urgency=high

  * raise error on rospy.init_node with None or empty node name string (#895 <https://github.com/ros/ros_comm/pull/895>)
  * fix wrong type in docstring for rospy.Timer (#878 <https://github.com/ros/ros_comm/pull/878>)
  * fix order of init and publisher in example (#873 <https://github.com/ros/ros_comm/pull/873>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.2-1xenial) xenial; urgency=high

  * add logXXX_throttle functions (#812 <https://github.com/ros/ros_comm/pull/812>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rospy (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rospy (1.11.17-1xenial) xenial; urgency=high

  * preserve identity of numpy_msg(T) (#758 <https://github.com/ros/ros_comm/pull/758>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rospy (1.11.16-1xenial) xenial; urgency=high

  * catch ROSInterruptException from rospy timers when shutting down (#690 <https://github.com/ros/ros_comm/pull/690>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rospy (1.11.15-1xenial) xenial; urgency=high

  * validate name after remapping (#669 <https://github.com/ros/ros_comm/pull/669>)


